summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-util/leaktracer
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-util/leaktracer')
-rw-r--r--dev-util/leaktracer/Manifest1
-rw-r--r--dev-util/leaktracer/files/LeakCheck-gentoo.patch11
-rw-r--r--dev-util/leaktracer/leaktracer-2.4-r2.ebuild56
-rw-r--r--dev-util/leaktracer/metadata.xml5
4 files changed, 73 insertions, 0 deletions
diff --git a/dev-util/leaktracer/Manifest b/dev-util/leaktracer/Manifest
new file mode 100644
index 00000000000..5da8ec668b4
--- /dev/null
+++ b/dev-util/leaktracer/Manifest
@@ -0,0 +1 @@
+DIST leaktracer-2.4-gentoo_p2.tbz2 11957 SHA256 21ed81f47654ae03211c1ee0655bf0f1d5cdbe433fbe3424d0b4738506deced8 SHA512 12f348564933c8cf372208f846bb21b175f041e7687811e9c6ce8062e7f285b9d2395e7853a20df11d9b0d5b8fff89efc76ccbac9f8b7c0bc4fd4ea25d476718 WHIRLPOOL 16cf715ad6d5690040d59c913ba9360249842de587ad57fa2e4182614fba10ffdf5850cf9d80f09a692f3064ed7f3af59f80e0aa3ba73ee219855d34af60abcb
diff --git a/dev-util/leaktracer/files/LeakCheck-gentoo.patch b/dev-util/leaktracer/files/LeakCheck-gentoo.patch
new file mode 100644
index 00000000000..fc88ba6d16a
--- /dev/null
+++ b/dev-util/leaktracer/files/LeakCheck-gentoo.patch
@@ -0,0 +1,11 @@
+--- LeakCheck.orig 2003-09-06 13:24:05.000000000 +0300
++++ LeakCheck 2003-09-06 13:24:36.000000000 +0300
+@@ -7,7 +7,7 @@
+ # this looks in the same directory, this
+ # LeakCheck script resides; modify to your
+ # needs:
+-SHLIB=`dirname $0`/LeakTracer.so
++SHLIB=/usr/lib/LeakTracer.so
+ if [ ! -x $SHLIB ] ; then
+ echo "$SHLIB not found"
+ exit 1
diff --git a/dev-util/leaktracer/leaktracer-2.4-r2.ebuild b/dev-util/leaktracer/leaktracer-2.4-r2.ebuild
new file mode 100644
index 00000000000..9bb9e04c037
--- /dev/null
+++ b/dev-util/leaktracer/leaktracer-2.4-r2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils multilib toolchain-funcs
+
+# Upstream-package has no version in it's name.
+# We therefore repackage it directly, together with the patches.
+PATCH_LEVEL="2"
+
+DESCRIPTION="trace and analyze memory leaks in C++ programs"
+HOMEPAGE="http://www.andreasen.org/LeakTracer/"
+SRC_URI="mirror://gentoo/${P}-gentoo_p${PATCH_LEVEL}.tbz2"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND=">=dev-lang/perl-5
+ sys-devel/gdb"
+RDEPEND="${DEPEND}"
+
+# leaktracer is being realized using LD_PRELOAD and segfaults
+# when being run in the sandbox and the library is _not_ in
+# /usr/$(get_libdir) which is not possible before installation
+RESTRICT="test"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ EPATCH_SOURCE="${WORKDIR}/patches"
+ EPATCH_SUFFIX="patch"
+ epatch
+
+ sed -i \
+ -e "s|%LIBDIR%|$(get_libdir)|" \
+ LeakCheck || die "sed for setting lib path failed"
+}
+
+src_compile() {
+ emake CXX=$(tc-getCXX) || die "emake failed"
+}
+
+src_install() {
+ dobin LeakCheck leak-analyze || die "dobin failed"
+ dolib.so LeakTracer.so || die "dolib.so failed"
+ dohtml README.html
+ dodoc README test.cc
+}
+
+pkg_postinst() {
+ elog "To use LeakTracer, run LeakCheck my_prog and then leak-analyze my_prog leak.out"
+ elog "Please reffer to README file for more info."
+}
diff --git a/dev-util/leaktracer/metadata.xml b/dev-util/leaktracer/metadata.xml
new file mode 100644
index 00000000000..8434377a604
--- /dev/null
+++ b/dev-util/leaktracer/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>cpp</herd>
+</pkgmetadata>